Subject: Re: mailing list moving

From: Michael Ellerman <[email-masked]>
Date: Sat, 06 Jun 2009 18:37:47 +1000

On Fri, 2009-06-05 at 19:08 +1000, Stephen Rothwell wrote:
> Hi Michael,
> 
> On Fri, 05 Jun 2009 17:38:40 +1000 Michael Ellerman <[email-masked]> wrote:
> >
> > On Fri, 2009-06-05 at 17:26 +1000, Stephen Rothwell wrote:
> > > Hi all,
> > > 
> > > On Sun, 31 May 2009 15:09:50 +1000 Stephen Rothwell <[email-masked]> wrote:
> > > 
> > > The archives on lists.ozlabs.org (and ozlabs.org) have unfortunately not
> > > retained their URLs (the basename of the article URLs changed). 
> > 
> > Would a rewrite rule fix it? It'd be nice for them to keep working.
> 
> No, because the actual article numbers changed when I rebuilt the archive
> on the new server.
> 
> Sorry.
> 
> I do, however, have the old archives, so maybe we can do something ...

We could use the old archive to work out the mapping between old and new
and write a billion rewrite rules, but it'd probably crash the rewrite
code - and if not slow the server to a crawl.

So into the too hard basket I think :)

cheers